Subject: devel-digest V2 #210
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest         Wednesday, June 30 1999         Volume 02 : Number 210

In this issue:

    Re: The Much-Awaited DM3.0 Build 15
    new nettrom?
    Re: new nettrom?
    Re: building KDE 1.1.1 - problems finding library during kdebase  configure
    Re: building KDE 1.1.1 - problems finding library during kdebase configure

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Tue, 29 Jun 1999 13:36:58 +0200
From: Jan Rinze <[email-masked]>
Subject: Re: The Much-Awaited DM3.0 Build 15

Ralph Siemsen wrote:

> Matthew Keller wrote:
> >
> >         I took a quick look at built 14, and noticed that it was still based on
> > the 2.0.35 kernel: Is the build 15 going to be based on this as well? Or
> > 2.2.x?
>
> The image will be suitable for both kernels.  It's currently being built
> against 2.0.35 but runs nicely with 2.2 as well (several of us have been
> testing it that way).  Ultimately we hope to built it against 2.2, but
> there is that "much anticipated" factor - we'd like to get this thing
> out the door as soon as possible.  The main stumbling block is still X,
> which has been traced down to a compiler bug that's being looked at.
>
> --
> Ralph Siemsen -- [email-masked]

Any clues on what the compiler bug is or where it is at ?
It might be of interest to us, programmers.

Jan Rinze.

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Tue, 29 Jun 1999 13:42:28 +0200
From: Jan Rinze <[email-masked]>
Subject: new nettrom?

In the recent files there is a new nettrom.
Are there any specs for this new nettrom?

Would it be possible to use netwinder.announce for
these kinds of things ?

It seems to me that announce is not really used atm.

I should be posting this to 'general' i guess ..

Jan Rinze.

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Tue, 29 Jun 1999 09:45:35 -0400
From: Ralph Siemsen <[email-masked]>
Subject: Re: new nettrom?

Jan Rinze wrote:
> 
> In the recent files there is a new nettrom.
> Are there any specs for this new nettrom?

There are some specs... netwinder.org/~ralphs/compat.html (arguably not
the most logical place for them, but I've not had a chance to put them
elsewhere- maybe they should go into the Firmware-HOWTO?)

> Would it be possible to use netwinder.announce for
> these kinds of things ?

We will make announcements, when "official tested" versions are
available.  Remember that anything thats located in home directories is
considered "experimental" unless otherwise indicated.   Official
versions are under pub/ccc (in this case, they would be in
pub/ccc/firmware).
 
> It seems to me that announce is not really used atm.

The simply hasn't been much to announce lately... :)

- -- 
Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Tue, 29 Jun 1999 12:11:09 -0700
From: Tim Rowledge <[email-masked]>
Subject: Re: building KDE 1.1.1 - problems finding library during kdebase  configure

Ralph Siemsen <[email-masked]> wrote:
>> Adding -L/usr/local/qt/lib seems to make it work when compiling the test prog.
>
>Therefore you have qt installed in /usr/local/qt.  However this is not a
>"standard" place as far as the configure script is concerned, and it
>will not normally go looking there unless you tell it to do so.  
[snip]
Nope, this makes no difference at all. Tried all the variations  as well. I
think I managed to hand you the wrong end of the stick as well :-( the problem
appears to really be with the attempt to check the installation of the
libraries a bit later on in the configure script. The apparently relevant
errors are:-
>/usr/local/kde/lib/libkdecore.so: undefined reference to `QWidget type_info node'
>/usr/local/kde/lib/libkdecore.so: undefined reference to `QDialog type_info node'
>/usr/local/kde/lib/libkdecore.so: undefined reference to `QBuffer type_info node'
>/usr/local/kde/lib/libkdecore.so: undefined reference to `QWidget type_info function'
plus a load more of that sort.

I am in the process of attempting  to re-try everything  from compiling qtlib
onwards. Having already done it several times I'm not sure what it will achieve,
but it seems all I can do for now!

I would try the pre-compiled stuff in patb's directory, but 
a) it's the 1.1.1-pre stuff and there are bug fixes I'd like to have
b) it's got personal. This shouldn't be this annoying and difficult. If this is
really the best  we can do, then M$ is never going to need to take Linux
seriously.

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Tue, 29 Jun 1999 15:33:34 -0700
From: Tim Rowledge <[email-masked]>
Subject: Re: building KDE 1.1.1 - problems finding library during kdebase configure

OK, I re-re-re-did the build from the beginning again.
1) make qtlib with
  a) make linux-g++-shared
  b) make
- - no problems reported. Random examplesall appear to work.
  c) add stuff to LD_LIBRARY_PATH etcas suggested in the qtlib readmes
2) set CFLAGS='-fno-exceptions -fno-rtti -fomit-frame-pointer'
3) make kdesupport
  a) ./configure
  b) make
  c) make install
- - no problems reported in config.log or during build. At least, none I could
find.
4) make kdelibs
  a) ./configure
  b) make 
  c) make install
- - no problems reported in configure.log or during make
5) make kdebase
  a) ./configure
various 'problems' that are more to do with setup checking than the real
problem, which is:-
configure:4114: checking for KDE libraries installed
configure:4117: /bin/sh ./libtool --silent --mode=link g++ -o conftest -O2 -Wall -I/opt/kde/include -I/usr/local/qt/include  -I/usr/X11R6/include  -s -L/opt/kde/lib -L/usr/local/qt/lib  -L/usr/X11R6/lib conftest.C  -lkdecore -lqt -lXext -lX11  -rpath /opt/kde/lib -rpath /usr/local/qt/lib -rpath /usr/X11R6/lib  1>&5
/opt/kde/lib/libkdecore.so: undefined reference to `QWidget type_info node'
/opt/kde/lib/libkdecore.so: undefined reference to `QDialog type_info node'
/opt/kde/lib/libkdecore.so: undefined reference to `QBuffer type_info node'
/opt/kde/lib/libkdecore.so: undefined reference to `QWidget type_info function'
/opt/kde/lib/libkdecore.so: undefined reference to `QDialog type_info function'
/opt/kde/lib/libkdecore.so: undefined reference to `QGArray type_info node'
/opt/kde/lib/libkdecore.so: undefined reference to `QPixmap type_info function'
/opt/kde/lib/libkdecore.so: undefined reference to `QGDict type_info function'
/opt/kde/lib/libkdecore.so: undefined reference to `QGList type_info function'
/opt/kde/lib/libkdecore.so: undefined reference to `QGArray type_info function'
/opt/kde/lib/libkdecore.so: undefined reference to `QGDict type_info node'
/opt/kde/lib/libkdecore.so: undefined reference to `QApplication type_info node'
/opt/kde/lib/libkdecore.so: undefined reference to `QApplication type_info function'
/opt/kde/lib/libkdecore.so: undefined reference to `QBuffer type_info function'
/opt/kde/lib/libkdecore.so: undefined reference to `QObject type_info node'
/opt/kde/lib/libkdecore.so: undefined reference to `QPixmap type_info node'
/opt/kde/lib/libkdecore.so: undefined reference to `QObject type_info function'
/opt/kde/lib/libkdecore.so: undefined reference to `QGList type_info node

- - which looks to me like something is not being found that should be in a qt
library ?
My printenv looks like:-
USERNAME=
ENV=/home/rowledge/.bashrc
HISTSIZE=1000
HOSTNAME=context
LOGNAME=rowledge
HISTFILESIZE=1000
MAIL=/var/spool/mail/rowledge
LD_LIBRARY_PATH=/usr/local/qt/lib:/usr/local/kde/lib
LD_RUN_PATH=/usr/local/kde/lib
TERM=xterm-color
HOSTTYPE=armv4          
PATH=/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/qt/bin:/sbin:/usr/sbin:/home/rowledge/bin:/opt/kde/bin
KDEDIR=/opt/kde
HOME=/home/rowledge
SHELL=/bin/bash
PS1=[\u@\h \W]\$
CPLUS_INCLUDE_PATH=/usr/local/qt/include
USER=rowledge
MANPATH=/usr/local/qt/man:/usr/man:/usr/X11/man:/usr/local/man
QTDIR=/usr/local/qt
DISPLAY=localhost:0.0
OSTYPE=Linux
LIBRARY_PATH=/usr/local/qt/lib:/usr/local/kde/lib
SHLVL=1
_=/usr/bin/printenv             

I'm lost. How can this be so painful?

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #210
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.